#!/bin/bash

# We need to install dependencies only for Docker
[[ ! -e /.dockerenv ]] && [[ ! -e /.dockerinit ]] && exit 0

set -xe

# Install git (the php image doesn't have it) which is required by composer
apt-get update -yqq
apt-get install git -yqq

# Install phpunit, the tool that we will use for testing
if php -r 'if (preg_replace("/([0-9]+)\.([0-9]+).*/","$1.$2",PHP_VERSION) != 5.5) die(1);' ; then 
	curl -Lo /usr/local/bin/phpunit https://phar.phpunit.de/phpunit-4.8.phar #php5.5
else
	curl -Lo /usr/local/bin/phpunit https://phar.phpunit.de/phpunit.phar
fi
chmod +x /usr/local/bin/phpunit

# Install mysql driver
# Here you can install any other extension that you need
docker-php-ext-install pdo_mysql
